import ec2 = require('@aws-cdk/aws-ec2');
import cdk = require('@aws-cdk/cdk');
export interface SqlServerProps {
    readonly instanceClass?: string;
    readonly engine?: string;
    readonly engineVersion?: string;
    readonly licenseModel?: string;
    readonly masterUsername: string;
    readonly masterPassword: string;
    readonly allocatedStorage?: number;
    readonly vpc: ec2.IVpcNetwork;
}
/**
 * An instance of Microsoft SQL server with associated security groups
 */
export declare class SqlServer extends cdk.Construct implements ec2.IConnectable {
    private static readonly PORT;
    readonly connections: ec2.Connections;
    constructor(scope: cdk.Construct, id: string, props: SqlServerProps);
}
