import ec2 = require('@aws-cdk/aws-ec2');
import cdk = require('@aws-cdk/cdk');
export interface RemoteDesktopGatewayProps {
    readonly rdgwCIDR: string;
    readonly vpc: ec2.IVpcNetwork;
    readonly keyPairName: string;
    readonly adminPassword: string;
    readonly adminUser?: string;
    readonly domainDNSName?: string;
    readonly numberOfRDGWHosts?: number;
    readonly qss3BucketName?: string;
    readonly qss3KeyPrefix?: string;
    readonly rdgwInstanceType?: string;
}
/**
 * Embed the Remote Desktop Gateway AWS QuickStart
 */
export declare class RemoteDesktopGateway extends cdk.Construct implements ec2.IConnectable {
    private static readonly PORT;
    readonly connections: ec2.Connections;
    constructor(scope: cdk.Construct, id: string, props: RemoteDesktopGatewayProps);
}
